{ moduleFunctions }:
let
  inherit (moduleFunctions.instancesFunctions)
    domain0
    varPath
    mntPath
    ;
  label = "ProjectSite";
  name = "projectsite";
  domain = "${name}.${domain0}";
in
{
  label = label;
  name = name;
  short = "Project";
  email = {
    address0 = "noreply@${domain0}";
  };
  domains = {
    url0 = domain;
  };
  tags = [
    "project"
  ];
  subdomain = name;
  ports = {
    port0 = 1334;
  };
  interface = {
    id = "vm-project";
    mac = "02:00:00:00:52:22";
    idUser = "vmuser-project";
    macUser = "02:00:00:00:00:22";
    ip = "192.168.50.212";
    gate = "192.168.50.1";
    ssh = 2299;
  };
  varPaths = {
    path0 = "${varPath}/${name}";
    path1 = "${varPath}/${name}/dist";

  };
  mntPaths = {
    path0 = "${mntPath}/${name}";
  };
}
